Bug 228501 - Digkam crashes after deleting images
Summary: Digkam crashes after deleting images
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: 1.1.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-25 18:47 UTC by flo.w.121at
Modified: 2018-09-02 15:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description flo.w.121at 2010-02-25 18:47:06 UTC
Application: digikam (1.1.0)
KDE Platform Version: 4.4.00 (KDE 4.4.0)
Qt Version: 4.6.1
Operating System: Linux 2.6.31-19-generic i686
Distribution: Ubuntu 9.10

-- Information about the crash:
This crash regularly occurs after deleting pictures in the image editor. The application crashes after deleting about 8 or more images

The crash can be reproduced some of the time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77039c0 (LWP 14184))]

Thread 18 (Thread 0xb6142b70 (LWP 14185)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x8cff0e8, mutex=0x8cff0e4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8cff0e8, mutex=0x8cff0e4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0830cb34 in Digikam::ScanController::run (this=0x8cfe9d8) at /build/buildd/digikam-1.1.0/digikam/scancontroller.cpp:502
#5  0x02eed32e in QThreadPrivate::start (arg=0x8cfe9d8) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 17 (Thread 0xb56ffb70 (LWP 14188)):
#0  0x01805e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x03018a0b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x0301daf5 in QTimerInfoList::updateCurrentTime (this=0x8e5f934) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0301db3a in QTimerInfoList::timerWait (this=0x8e5f934, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0301bb28 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb56ff08c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0301bbb5 in timerSourcePrepare (source=0x0, timeout=0x1809ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x05564f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x05565351 in ?? () from /lib/libglib-2.0.so.0
#8  0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0301b91f in QEventDispatcherGlib::processEvents (this=0x8d0a648, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x02fee319 in QEventLoop::processEvents (this=0xb56ff250, flags=) at kernel/qeventloop.cpp:149
#11 0x02fee76a in QEventLoop::exec (this=0xb56ff250, flags=...) at kernel/qeventloop.cpp:201
#12 0x02eea5a8 in QThread::exec (this=0x8d38018) at thread/qthread.cpp:487
#13 0x0022cffd in Digikam::ImageFilterModelWorker::Thread::run (this=0x8d38018) at /build/buildd/digikam-1.1.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#14 0x02eed32e in QThreadPrivate::start (arg=0x8d38018) at thread/qthread_unix.cpp:248
#15 0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb4153b70 (LWP 14189)):
#0  0x01805e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x03018a0b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x0301daf5 in QTimerInfoList::updateCurrentTime (this=0x8d0c5b4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0301db3a in QTimerInfoList::timerWait (this=0x8d0c5b4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0301bb28 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb415308c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0301bbb5 in timerSourcePrepare (source=0x0, timeout=0x1809ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x05564f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x05565351 in ?? () from /lib/libglib-2.0.so.0
#8  0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0301b91f in QEventDispatcherGlib::processEvents (this=0x8e60378, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x02fee319 in QEventLoop::processEvents (this=0xb4153250, flags=) at kernel/qeventloop.cpp:149
#11 0x02fee76a in QEventLoop::exec (this=0xb4153250, flags=...) at kernel/qeventloop.cpp:201
#12 0x02eea5a8 in QThread::exec (this=0x8d0c2f0) at thread/qthread.cpp:487
#13 0x0022cffd in Digikam::ImageFilterModelWorker::Thread::run (this=0x8d0c2f0) at /build/buildd/digikam-1.1.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#14 0x02eed32e in QThreadPrivate::start (arg=0x8d0c2f0) at thread/qthread_unix.cpp:248
#15 0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb36ffb70 (LWP 14190)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x8e7a590, mutex=0x8e7a58c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8e7a590, mutex=0x8e7a58c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0x8e7a580) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0x8e7a580) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb2efeb70 (LWP 14191)):
#0  0x01805e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x03018a0b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x0301daf5 in QTimerInfoList::updateCurrentTime (this=0x8f3cdb4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0301db3a in QTimerInfoList::timerWait (this=0x8f3cdb4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0301bb28 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb2efe0ac) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0301bbb5 in timerSourcePrepare (source=0x0, timeout=0x1809ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x05564f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x05565351 in ?? () from /lib/libglib-2.0.so.0
#8  0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0301b91f in QEventDispatcherGlib::processEvents (this=0x8f2c5f0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x02fee319 in QEventLoop::processEvents (this=0xb2efe270, flags=) at kernel/qeventloop.cpp:149
#11 0x02fee76a in QEventLoop::exec (this=0xb2efe270, flags=...) at kernel/qeventloop.cpp:201
#12 0x02eea5a8 in QThread::exec (this=0x8f029a0) at thread/qthread.cpp:487
#13 0x02eed32e in QThreadPrivate::start (arg=0x8f029a0) at thread/qthread_unix.cpp:248
#14 0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb26fdb70 (LWP 14192)):
#0  0x01805e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x03018a0b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x0301daf5 in QTimerInfoList::updateCurrentTime (this=0x8f3d56c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0301db3a in QTimerInfoList::timerWait (this=0x8f3d56c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0301bb28 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb26fd0ac) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0301bbb5 in timerSourcePrepare (source=0x0, timeout=0x1809ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x05564f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x05565351 in ?? () from /lib/libglib-2.0.so.0
#8  0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0301b91f in QEventDispatcherGlib::processEvents (this=0x8f3d4e0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x02fee319 in QEventLoop::processEvents (this=0xb26fd270, flags=) at kernel/qeventloop.cpp:149
#11 0x02fee76a in QEventLoop::exec (this=0xb26fd270, flags=...) at kernel/qeventloop.cpp:201
#12 0x02eea5a8 in QThread::exec (this=0x8d00fb0) at thread/qthread.cpp:487
#13 0x02eed32e in QThreadPrivate::start (arg=0x8d00fb0) at thread/qthread_unix.cpp:248
#14 0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb1efcb70 (LWP 14193)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x8f5be50, mutex=0x8f5be4c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8f5be50, mutex=0x8f5be4c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0x8f5be40) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0x8f5be40) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xaf95fb70 (LWP 14194)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004ff142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01f899ff in ?? () from /usr/lib/libxine.so.1
#3  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaed53b70 (LWP 14195)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x0321ea71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x01fb2be0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x01f97011 in ?? () from /usr/lib/libxine.so.1
#4  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xae552b70 (LWP 14196)):
#0  0x02eced5c in g_main_context_iteration@plt () from /usr/lib/libQtCore.so.4
#1  0x0301b91f in QEventDispatcherGlib::processEvents (this=0x9591178, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#2  0x02fee319 in QEventLoop::processEvents (this=0xae552200, flags=) at kernel/qeventloop.cpp:149
#3  0x02fee76a in QEventLoop::exec (this=0xae552200, flags=...) at kernel/qeventloop.cpp:201
#4  0x02eea5a8 in QThread::exec (this=0x9590d90) at thread/qthread.cpp:487
#5  0x01f06a5a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#6  0x02eed32e in QThreadPrivate::start (arg=0x9590d90) at thread/qthread_unix.cpp:248
#7  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xadd51b70 (LWP 14199)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x03217c96 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x02c34c3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xad550b70 (LWP 14200)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01f9a5ee in ?? () from /usr/lib/libxine.so.1
#3  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xacd4fb70 (LWP 14201)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x98027f0, mutex=0x98027ec, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x98027f0, mutex=0x98027ec, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0x98027e0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0x98027e0) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xaa54ab70 (LWP 14207)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x9bfc2c8, mutex=0x9bfc2c4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x9bfc2c8, mutex=0x9bfc2c4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0x9bfc2b8) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0x9bfc2b8) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xac54eb70 (LWP 14208)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0x9c537d0, mutex=0x9c537cc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x9c537d0, mutex=0x9c537cc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0x9c537c0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0x9c537c0) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xab54cb70 (LWP 14245)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0xb6de638, mutex=0xb6de634, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb6de638, mutex=0xb6de634, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0xb6de628) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0xb6de628) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa64ffb70 (LWP 14246)):
#0  0x00656422 in __kernel_vsyscall ()
#1  0x004fee15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02eee287 in QWaitConditionPrivate::wait (this=0xb7f7d90, mutex=0xb7f7d8c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb7f7d90, mutex=0xb7f7d8c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0728afba in Digikam::LoadSaveThread::run (this=0xb7f7d80) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x02eed32e in QThreadPrivate::start (arg=0xb7f7d80) at thread/qthread_unix.cpp:248
#6  0x004fa80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x032258de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb77039c0 (LWP 14184)):
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0xb67a9c4) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#7  QList (this=0xb67a9c4) at /usr/include/qt4/QtCore/qlist.h:114
#8  QForeachContainer (this=0xb67a9c4) at /usr/include/qt4/QtCore/qglobal.h:2231
#9  KDirWatchPrivate::Entry::propagate_dirty (this=0xb67a9c4) at ../../kio/kio/kdirwatch.cpp:416
#10 0x07dbfa71 in KDirWatchPrivate::Entry::propagate_dirty (this=0xb2b7a2c) at ../../kio/kio/kdirwatch.cpp:421
#11 0x07dc9761 in KDirWatchPrivate::slotRescan (this=0x8d43430) at ../../kio/kio/kdirwatch.cpp:1349
#12 0x07dca343 in KDirWatchPrivate::qt_metacall (this=0x8d43430, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfac46bc) at ./kdirwatch_p.moc:81
#13 0x02ff4f6a in QMetaObject::metacall (object=0x8d43430, cl=QMetaObject::CreateInstance, idx=4, argv=0xbfac46bc) at kernel/qmetaobject.cpp:237
#14 0x03003705 in QMetaObject::activate (sender=0x8d43478, m=0x31045a4, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3275
#15 0x03054ec7 in QTimer::timeout (this=0x8d43478) at .moc/release-shared/moc_qtimer.cpp:134
#16 0x0300b83e in QTimer::timerEvent (this=0x8d43478, e=0xbfac4bf0) at kernel/qtimer.cpp:271
#17 0x030005a4 in QObject::event (this=0x8d43478, e=0xb67a9c4) at kernel/qobject.cpp:1212
#18 0x049cc27c in QApplicationPrivate::notify_helper (this=0x8c1fdb0, receiver=0x8d43478, e=0xbfac4bf0) at kernel/qapplication.cpp:4298
#19 0x049d2ede in QApplication::notify (this=0xbfac64f8, receiver=0x8d43478, e=0xbfac4bf0) at kernel/qapplication.cpp:3702
#20 0x06d7e1fa in KApplication::notify (this=0xbfac64f8, receiver=0x8d43478, event=0xbfac4bf0) at ../../kdeui/kernel/kapplication.cpp:302
#21 0x02fefcfb in QCoreApplication::notifyInternal (this=0xbfac64f8, receiver=0x8d43478, event=0xbfac4bf0) at kernel/qcoreapplication.cpp:704
#22 0x0301ef96 in QCoreApplication::sendEvent (this=0x8c22b7c) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QTimerInfoList::activateTimers (this=0x8c22b7c) at kernel/qeventdispatcher_unix.cpp:603
#24 0x0301bc27 in timerSourceDispatch (source=0x8c22bb0) at kernel/qeventdispatcher_glib.cpp:184
#25 idleTimerSourceDispatch (source=0x8c22bb0) at kernel/qeventdispatcher_glib.cpp:231
#26 0x05561e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#27 0x05565730 in ?? () from /lib/libglib-2.0.so.0
#28 0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#29 0x0301b8e5 in QEventDispatcherGlib::processEvents (this=0x8bf5d78, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#30 0x04a8b485 in QGuiEventDispatcherGlib::processEvents (this=0x8bf5d78, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x02fee319 in QEventLoop::processEvents (this=0xbfac4eb0, flags=) at kernel/qeventloop.cpp:149
#32 0x02fee76a in QEventLoop::exec (this=0xbfac4eb0, flags=...) at kernel/qeventloop.cpp:201
#33 0x04f09f93 in QDialog::exec (this=0xbfac4f2c) at dialogs/qdialog.cpp:530
#34 0x080b258c in Digikam::DeleteDialog::confirmDeleteList (this=0xbfac4f2c, condemnedFiles=..., listMode=Digikam::DeleteDialogMode::Files, 
    deleteMode=Digikam::DeleteDialogMode::NoChoiceDeletePermanently) at /build/buildd/digikam-1.1.0/libs/dialogs/deletedialog.cpp:309
#35 0x080a89d5 in Digikam::ImageWindow::deleteCurrentItem (this=0xb6c1430, ask=true, permanently=<value optimized out>)
    at /build/buildd/digikam-1.1.0/utilities/imageeditor/editor/imagewindow.cpp:1107
#36 0x080a8c51 in Digikam::ImageWindow::slotDeleteCurrentItemPermanently (this=0xb6c1430) at /build/buildd/digikam-1.1.0/utilities/imageeditor/editor/imagewindow.cpp:1064
#37 0x080a8df0 in Digikam::ImageWindow::qt_metacall (this=0xb6c1430, _c=QMetaObject::InvokeMetaMethod, _id=117, _a=0xbfac50f8)
    at /build/buildd/digikam-1.1.0/obj-i486-linux-gnu/digikam/imagewindow.moc:143
#38 0x02ff4f6a in QMetaObject::metacall (object=0xb6c1430, cl=QMetaObject::CreateInstance, idx=117, argv=0xbfac50f8) at kernel/qmetaobject.cpp:237
#39 0x03003705 in QMetaObject::activate (sender=0xb9738b8, m=0x84b6ed8, local_signal_index=1, argv=0xbfac50f8) at kernel/qobject.cpp:3275
#40 0x049c5a39 in QAction::triggered (this=0xb9738b8, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#41 0x049c7c4c in QAction::activate (this=0xb9738b8, event=QAction::Trigger) at kernel/qaction.cpp:1251
#42 0x049c9538 in QAction::event (this=0xb67a9c4, e=0x19) at kernel/qaction.cpp:1177
#43 0x06c91ed3 in KAction::event (this=0xb9738b8, event=0xbfac5618) at ../../kdeui/actions/kaction.cpp:129
#44 0x049cc27c in QApplicationPrivate::notify_helper (this=0x8c1fdb0, receiver=0xb9738b8, e=0xbfac5618) at kernel/qapplication.cpp:4298
#45 0x049d2ede in QApplication::notify (this=0xbfac64f8, receiver=0xb9738b8, e=0xbfac5618) at kernel/qapplication.cpp:3702
#46 0x06d7e1fa in KApplication::notify (this=0xbfac64f8, receiver=0xb9738b8, event=0xbfac5618) at ../../kdeui/kernel/kapplication.cpp:302
#47 0x02fefcfb in QCoreApplication::notifyInternal (this=0xbfac64f8, receiver=0xb9738b8, event=0xbfac5618) at kernel/qcoreapplication.cpp:704
#48 0x04a0e1ed in QCoreApplication::sendEvent (this=0x8c1fe5c, e=0xbfac5a94) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#49 QShortcutMap::dispatchEvent (this=0x8c1fe5c, e=0xbfac5a94) at kernel/qshortcutmap.cpp:879
#50 0x04a0ffde in QShortcutMap::tryShortcutEvent (this=0x8c1fe5c, o=0xb9a18e0, e=0xbfac5a94) at kernel/qshortcutmap.cpp:364
#51 0x049d4c9d in QApplication::notify (this=0xbfac64f8, receiver=0xb9a18e0, e=0xbfac5a94) at kernel/qapplication.cpp:3744
#52 0x06d7e1fa in KApplication::notify (this=0xbfac64f8, receiver=0xb9a18e0, event=0xbfac5a94) at ../../kdeui/kernel/kapplication.cpp:302
#53 0x02fefcfb in QCoreApplication::notifyInternal (this=0xbfac64f8, receiver=0xb9a18e0, event=0xbfac5a94) at kernel/qcoreapplication.cpp:704
#54 0x049cd15e in QCoreApplication::sendSpontaneousEvent (receiver=0xb9a18e0, event=0xb67a9c4) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#55 qt_sendSpontaneousEvent (receiver=0xb9a18e0, event=0xb67a9c4) at kernel/qapplication.cpp:5277
#56 0x04a86150 in QKeyMapper::sendKeyEvent (keyWidget=0xb9a18e0, grab=false, type=QEvent::KeyPress, code=16777223, modifiers=..., text=..., autorepeat=<value optimized out>, 
    count=<value optimized out>, nativeScanCode=119, nativeVirtualKey=65535, nativeModifiers=1) at kernel/qkeymapper_x11.cpp:1861
#57 0x04a88699 in QKeyMapperPrivate::translateKeyEvent (this=0x8c4bcf8, keyWidget=0xb9a18e0, event=0xbfac614c, grab=25) at kernel/qkeymapper_x11.cpp:1831
#58 0x04a5bdc7 in QApplication::x11ProcessEvent (this=0xbfac64f8, event=0xbfac614c) at kernel/qapplication_x11.cpp:3394
#59 0x04a8b95a in x11EventSourceDispatch (s=0x8c23000, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#60 0x05561e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#61 0x05565730 in ?? () from /lib/libglib-2.0.so.0
#62 0x05565863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#63 0x0301b8e5 in QEventDispatcherGlib::processEvents (this=0x8bf5d78, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#64 0x04a8b485 in QGuiEventDispatcherGlib::processEvents (this=0x8bf5d78, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#65 0x02fee319 in QEventLoop::processEvents (this=0xbfac6444, flags=) at kernel/qeventloop.cpp:149
#66 0x02fee76a in QEventLoop::exec (this=0xbfac6444, flags=...) at kernel/qeventloop.cpp:201
#67 0x02ff295f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#68 0x049cc317 in QApplication::exec () at kernel/qapplication.cpp:3577
#69 0x083b1e55 in main (argc=5, argv=0xbfac6944) at /build/buildd/digikam-1.1.0/digikam/main.cpp:195

This bug may be a duplicate of or related to bug 227957.

Possible duplicates by query: bug 227957, bug 227902, bug 227253, bug 226418, bug 224229.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-02-26 10:34:08 UTC

*** This bug has been marked as a duplicate of bug 228562 ***
Comment 2 caulier.gilles 2017-07-19 03:49:53 UTC
Problem not reproducible since digiKam 5.0.0 as KDirWatch has been ported to
QFileSystemWatcher